Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008794opensim[REGION] Specific OpenSim Modulepublic2020-11-06 06:322020-11-19 06:55
ReporterGezebu MindBlue 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOperating SystemFedoraOperating System Version32
Product Version0.9.1.0 
Target VersionFixed in Versionmaster (dev code) 
Summary0008794: OAR commands do not save or load megastructures that are larger than the region.
DescriptionOAR commands do not save or load megastructures that are larger than the region.
The first image shows a 512x128x512 outsim decoration in a 256x256 region (current version of osgrid: osgrid-opensim-10312020.v0.9.2.2b72df8).
In the second image you can see the load of the saved oar, in a local server working under robust git download 10/3/2020 (Version: OpenSim 0.9.2.0 Yeti Dev f69f028).

NonPhysicalPrimMax = 768
meshing = ubODEMeshmerizer
physics = ubODE
    
https://imgur.com/yrvzOPi [^]
https://imgur.com/FwDCsvj [^]
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Script EngineYEngine
EnvironmentMono / Linux64
Mono Version6.x
ViewerFirestorm 6.3.9.58205
Attached Filespng file icon oar_megaprims_outsim_not_saved_01.png [^] (2,404,070 bytes) 2020-11-06 06:32
png file icon oar_megaprims_outsim_not_saved_02.png [^] (2,313,000 bytes) 2020-11-06 06:33

- Relationships

-  Notes
(0037017)
Gezebu MindBlue (reporter)
2020-11-06 06:44

Region (Yumol) # save oar oar/yumol_test_megaprim_outsim.oar
11:43:42 - [ARCHIVER]: Writing archive for region Yumol to oar/yumol_test_megaprim_outsim.oar
11:43:42 - [ARCHIVER]: Creating version 0.8 OAR
11:43:42 - [ARCHIVER]: Added control file to archive.
11:43:42 - [ARCHIVER]: Writing region Yumol
11:43:42 - [ARCHIVER]: 234 region scene objects to save reference 220 possible assets
11:43:42 - [ARCHIVER]: Adding region settings to archive.
11:43:42 - [ARCHIVER]: Adding parcel settings to archive.
11:43:42 - [ARCHIVER]: Adding terrain information to archive.
11:43:42 - [ARCHIVER]: Adding scene objects to archive.
11:43:42 - [ARCHIVER]: Saving 227 assets
11:43:43 - [ARCHIVER]: Added 100 assets to archive
11:43:44 - [ARCHIVER]: Added 200 assets to archive
11:43:44 - [ARCHIVER]: Successfully added all 227 assets
11:43:44 - [ARCHIVER]: Finished writing out OAR for Yumol
(0037018)
UbitUmarov (administrator)
2020-11-06 11:37

could not repo on master a 1024m prim was saved and restored
(0037019)
Gezebu MindBlue (reporter)
2020-11-06 12:15
edited on: 2020-11-06 12:16

Is it possible that it is an incident related to mesh objects?
now I tryed a common prim of 1024 and it does restore the object, but the mesh decoration of 512 is not restored.

(0037020)
UbitUmarov (administrator)
2020-11-06 12:38
edited on: 2020-11-06 12:40

the prim you gave me to test also worked
but a problem with mesh asset will ofc damage things
oars save with -noassets may fail, if the assets are not on grid asset services

(0037021)
Gezebu MindBlue (reporter)
2020-11-06 13:23

if it worked for you i don't understand what's wrong. i've tried several times in both servers, osgrid and git standalone, and in neither of them restores the mega mesh. i never use the --noassets parameter in the export. is it possible that some wrong configuration in my .ini files is generating the problem?

the only way i could recover the mega mesh was by reducing its size before the export oar, and then increasing the size again in the console with edit scale command. note that it can't be the absence of an asset either, because it's the same mesh that you see all over the region forming smaller islets, which don't have any problem with the export and subsequent import.
(0037022)
UbitUmarov (administrator)
2020-11-06 13:24

i do.. plz wait a fix :)
(0037023)
Gezebu MindBlue (reporter)
2020-11-06 13:34

it's ok. I report this nonsenses because it is the only way I can help :P
(0037024)
UbitUmarov (administrator)
2020-11-06 13:49
edited on: 2020-11-06 13:52

worked because i did rez it high in air
problem was root prim position, it had to be > 0

changed the default clip box so now it needs to be -100 < z < 50000
corresponding to current simulation limits

(0037025)
Gezebu MindBlue (reporter)
2020-11-06 16:28
edited on: 2020-11-06 16:30

well ... I just downloaded git again, and ...
with your patch the mega mesh now is load fine, but i have a laaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaarge spam in the console whit:

20:13:17 - [PHYSICS]: asset provider returned invalid mesh data for prim piso-hexagonal/de1cf93c-bca6-49e9-b6c9-1675bc1
66147 asset UUID f5727674-bd4b-4558-be01-b5f2e484fe28.
20:23:07 - [INVENTORY ACCESS MODULE]: missing data in asset 0b52678d-6cb8-4ab2-bfc1-2deea010cd30 to RezObject()
20:23:07 - [ATTACHMENTS MODULE]: did not attach item 8c2f1c0b-2993-4852-a038-871805567123 to avatar Gezebu MindBlue at point 0
20:26:20 - [Materials]: request for unknown material ID: 5d4fa9b0-e4ed-1140-3359-3c25239128e2
20:26:20 - [GETASSET]: asset with empty data: a0ff3f38-9472-40bd-9edf-026dc8f5ee35 type 0

and a loooooooooooooooooooooot of similar messages.
i cant wear my avatar and "toys", for messages of missing data. re import the iar not solve this problem.
in the region previosly i charged the oars, some textures were lost.

all this was using the same database as the git version of 3/11/2020. and with the same .ini configuration files.
now i tried to create a new database, but is the same. re import iar-oar lost a lot of items in my inventory (or material in items of the region), that are in, but cannot be used, rezz, or wear.

https://imgur.com/O42DyDF [^]
https://imgur.com/7jJkaFY [^]

:S

(0037026)
tampa (reporter)
2020-11-06 17:07

Those failures generally occur when either the archive is damaged or the asset server isn't connected. Also possible they could not be written to the database due to packet size being to large for the database to handle. No changes were made to inventory loading, only some small stuff in get asset, which could be to blame.
(0037027)
BillBlight (developer)
2020-11-06 17:12
edited on: 2020-11-06 17:14

@Gezebu

Did you update the GridHypergrid.ini/Grid.ini config file with the new asset connector

 [Modules]
   //AssetServices = "HGAssetBroker"
   AssetServices = "RegionAssetConnector"

(0037028)
UbitUmarov (administrator)
2020-11-06 17:33

like bill said you need those updated ini files ( and corresponding for standalone)
but strange errors, and unrelated to this last changes
oar assets part was not changed
(0037029)
BillBlight (developer)
2020-11-06 17:59

I guess I should have been more clear, IF you did not clean your build/bin dir, and had the old module files, and did not change the ini it could have issues ..
(0037031)
Gezebu MindBlue (reporter)
2020-11-06 18:35

I always use a new directory for each installation...

surely the problem is what @BillBlight tells me, because I did not configure those files. I only copied from the previous installation of 3/11: OpenSim.ini, Robust.HG.ini, and from config-include: GridCommon.ini and osslEnable.ini.

I will delete everything, re-download, create a new database, and configure all files instead of using the previous ones.

The good is that the reported problem is solved. thx @UbitUmarov

- Issue History
Date Modified Username Field Change
2020-11-06 06:32 Gezebu MindBlue New Issue
2020-11-06 06:32 Gezebu MindBlue File Added: oar_megaprims_outsim_not_saved_01.png
2020-11-06 06:33 Gezebu MindBlue File Added: oar_megaprims_outsim_not_saved_02.png
2020-11-06 06:44 Gezebu MindBlue Note Added: 0037017
2020-11-06 11:37 UbitUmarov Note Added: 0037018
2020-11-06 12:15 Gezebu MindBlue Note Added: 0037019
2020-11-06 12:16 Gezebu MindBlue Note Edited: 0037019 View Revisions
2020-11-06 12:38 UbitUmarov Note Added: 0037020
2020-11-06 12:40 UbitUmarov Note Edited: 0037020 View Revisions
2020-11-06 13:23 Gezebu MindBlue Note Added: 0037021
2020-11-06 13:24 UbitUmarov Note Added: 0037022
2020-11-06 13:34 Gezebu MindBlue Note Added: 0037023
2020-11-06 13:49 UbitUmarov Note Added: 0037024
2020-11-06 13:52 UbitUmarov Note Edited: 0037024 View Revisions
2020-11-06 16:28 Gezebu MindBlue Note Added: 0037025
2020-11-06 16:30 Gezebu MindBlue Note Edited: 0037025 View Revisions
2020-11-06 17:07 tampa Note Added: 0037026
2020-11-06 17:12 BillBlight Note Added: 0037027
2020-11-06 17:14 BillBlight Note Edited: 0037027 View Revisions
2020-11-06 17:33 UbitUmarov Note Added: 0037028
2020-11-06 17:59 BillBlight Note Added: 0037029
2020-11-06 18:35 Gezebu MindBlue Note Added: 0037031
2020-11-19 06:55 tampa Status new => resolved
2020-11-19 06:55 tampa Fixed in Version => master (dev code)
2020-11-19 06:55 tampa Resolution open => fixed
2020-11-19 06:55 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker